function PD:UpdatePosition()
	a = self.db.profile.pos
	x = a:find("RIGHT") and -self.db.profile.posX or self.db.profile.posX
	y = a:find("TOP") and -self.db.profile.posY or self.db.profile.posY
	h = self.db.profile.align or "CENTER"

	frame:ClearAllPoints()
	frame:SetPoint(a, UIParent, self.db.profile.rpos, self.db.profile.posX, self.db.profile.posY)

	if h == "LEFT" then p1 = "TOPLEFT"
	elseif h == "RIGHT" then p1 = "TOPRIGHT"
	else p1 = "TOP"
	end
	
	damag:SetPoint(p1, frame, p1, 0, 0)
	damag:SetJustifyH(h)
	typed:SetPoint(p1, damag, p1, 0, -self.db.profile.fontSizeDamag)
	typed:SetJustifyH(h)
	statone:SetPoint(p1, typed, p1, 0, -self.db.profile.fontSizeTyped)
	statone:SetJustifyH(h)
	stattwo:SetPoint(p1, statone, p1, 0, 0-self.db.profile.fontSizeStats)
	stattwo:SetJustifyH(h)
end

function PD:UpdateFonts()
	t = SharedMedia and SharedMedia:Fetch("font", self.db.profile.fontFace) or "Fonts\\FRIZQT__.ttf" 
	damag:SetFont(t, self.db.profile.fontSizeDamag, self.db.profile.fontOutline)
	typed:SetFont(t, self.db.profile.fontSizeTyped, self.db.profile.fontOutline)
	statone:SetFont(t, self.db.profile.fontSizeStats, self.db.profile.fontOutline)
	stattwo:SetFont(t, self.db.profile.fontSizeStats, self.db.profile.fontOutline)

	if self.db.profile.fontShadow then
		damag:SetShadowOffset(1, -1)
		typed:SetShadowOffset(1, -1)
		statone:SetShadowOffset(1, -1)
		stattwo:SetShadowOffset(1, -1)
	else
		damag:SetShadowOffset(0, 0)
		typed:SetShadowOffset(0, 0)
		statone:SetShadowOffset(0, 0)
		stattwo:SetShadowOffset(0, 0)
	end

	damag:SetText("1234")
	typed:SetText( self.db.char.damtype )
	statone:SetText("667 Fire resistance")
	stattwo:SetText("667 Shadow resistance")
	frame:SetWidth(typed:GetWidth() > damag:GetWidth() and typed:GetWidth() or damag:GetWidth() or statone:GetWitch() or stattwo:GetWitch())
	frame:SetHeight(damag:GetHeight() + typed:GetHeight() + statone:GetHeight() + stattwo:GetHeight())
end
